List AI Inbox Manager guidances
curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/inbox-manager/{id}/guidances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a08b36-6a2e-7ba6-8346-7b64299ddeb2",
"organization_id": "01a08b36-6a2e-7ba6-8346-7b6567319560",
"agent_id": "01a08b36-6a2e-7ba6-8346-7b6610aadc5e",
"label": "Test AI Agent Guidance",
"instruction": "This is an AI agent guidance instruction",
"status": 1,
"category": 1,
"timestamp_created": "2026-09-10T12:06:34.286Z",
"timestamp_updated": "2026-09-10T12:06:34.286Z",
"basic_guidance_options": {
"tone": "professional",
"length": "standard"
}
}
],
"next_starting_after": "01a08b36-b23b-79f1-9558-8f39c47b56d8"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}AI Inbox Manager
List AI Inbox Manager guidances
List the guidances configured for an AI Inbox Manager.
Requires one of the following scopes: ai_agent_guidances:read, ai_agents:all, all:read, all:all
GET
/
api
/
v2
/
ai-agents
/
inbox-manager
/
{id}
/
guidances
List AI Inbox Manager guidances
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
AI Inbox Manager ID
Example:
"0195b1a5-3b1d-7b6e-9c1a-2f7a4b0c1d2e"
Query Parameters
The number of items to return
Required range:
1 <= x <= 100Example:
10
The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.
Example:
"01956fbd-0eb1-72db-a565-82977a586084"
Filter guidances by status
Available options:
1, 0 Example:
1